# Uses of Interface
org.opensaml.saml.saml2.core.Conditions

Packages that use Conditions
Package
Description
org.opensaml.saml.common.profile.impl
Actions and classes common to both SAML versions.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.profile
Classes for SAML 2.0 profile behavior.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.saml.saml2.testing

## Uses of Conditions in org.opensaml.saml.common.profile.impl

Methods in org.opensaml.saml.common.profile.impl with parameters of type Conditions
Modifier and Type
Method
Description
`private void`
AddAudienceRestrictionToAssertions.`addAudienceRestriction(ProfileRequestContext profileRequestContext, Conditions conditions)`
Add the audiences obtained from a lookup function to the `AudienceRestriction`.
`private AudienceRestriction`
AddAudienceRestrictionToAssertions.`getAudienceRestriction(Conditions conditions)`
Get the `AudienceRestriction` to which audiences will be added.

## Uses of Conditions in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return Conditions
Modifier and Type
Method
Description
`Conditions`
Assertion.`getConditions()`
Gets the Conditions placed on this assertion.
`Conditions`
AuthnRequest.`getConditions()`
Gets the `Conditions` of the request.
Methods in org.opensaml.saml.saml2.core with parameters of type Conditions
Modifier and Type
Method
Description
`void`
Assertion.`setConditions(Conditions newConditions)`
Sets the Conditions placed on this assertion.
`void`
AuthnRequest.`setConditions(Conditions newConditions)`
Sets the `Conditions` of the request.

## Uses of Conditions in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Conditions
Modifier and Type
Class
Description
`class`
`ConditionsImpl`
Concrete implementation of `Conditions`.
Fields in org.opensaml.saml.saml2.core.impl declared as Conditions
Modifier and Type
Field
Description
`private Conditions`
AssertionImpl.`conditions`
Conditions of the assertion.
`private Conditions`
AuthnRequestImpl.`conditions`
Conditions child element.
Methods in org.opensaml.saml.saml2.core.impl that return Conditions
Modifier and Type
Method
Description
`Conditions`
ConditionsBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Conditions`
ConditionsBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Conditions`
AssertionImpl.`getConditions()`
Gets the Conditions placed on this assertion.
`Conditions`
AuthnRequestImpl.`getConditions()`
Gets the `Conditions` of the request.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type Conditions
Modifier and Type
Method
Description
`void`
AssertionImpl.`setConditions(Conditions newConditions)`
Sets the Conditions placed on this assertion.
`void`
AuthnRequestImpl.`setConditions(Conditions newConditions)`
Sets the `Conditions` of the request.

## Uses of Conditions in org.opensaml.saml.saml2.profile

Methods in org.opensaml.saml.saml2.profile that return Conditions
Modifier and Type
Method
Description
`static Conditions`
SAML2ActionSupport.`addConditionsToAssertion(AbstractProfileAction action, Assertion assertion)`
Creates and adds a `Conditions` to a given `Assertion`.

## Uses of Conditions in org.opensaml.saml.saml2.profile.impl

Methods in org.opensaml.saml.saml2.profile.impl with parameters of type Conditions
Modifier and Type
Method
Description
`private void`
AddProxyRestrictionToAssertions.`addProxyRestriction(ProfileRequestContext profileRequestContext, Conditions conditions)`
Add the audiences obtained from a lookup function to the `ProxyRestriction`.
`private ProxyRestriction`
AddProxyRestrictionToAssertions.`getProxyRestriction(Conditions conditions)`
Get the `ProxyRestriction` to which audiences will be added.

## Uses of Conditions in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return Conditions
Modifier and Type
Method
Description
`static Conditions`
SAML2ActionTestingSupport.`buildConditions(Instant notBefore, Instant notOnOrAfter, String audience)`
Builds a `Conditions`, with optional content.